Skip to content
OpenPostDocs
OpenPostDocs
Notifications

End a notification Mute now

Ends an existing Mute. Repeating the request for that Mute is safe and returns the current authoritative preferences.

DELETE/notifications/mutes/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Mute ID

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X DELETE "https://example.com/notifications/mutes/string"
{  "$schema": "https://example.com/api/v1/schemas/PreferenceSettings.json",  "digest_configured": true,  "digest_time": "09:00",  "digest_timezone": "Europe/Lisbon",  "email_address": "string",  "email_available": true,  "mutes": [    {      "ends_at": "2019-08-24T14:15:22Z",      "id": "string",      "scope": "account",      "starts_at": "2019-08-24T14:15:22Z",      "workspace_id": "string",      "workspace_name": "string"    }  ],  "preferences": {    "property1": {      "email_frequency": "off",      "in_app": true    },    "property2": {      "email_frequency": "off",      "in_app": true    }  },  "topic_definitions": [    {      "critical_in_app": true,      "default_preference": {        "email_frequency": "off",        "in_app": true      },      "email_frequencies": [        "string"      ],      "email_mutable": true,      "group": "string",      "id": "string",      "in_app_mutable": true,      "mute_applies": true,      "presentation_key": "string",      "transactional": true    }  ]}